curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"category_url":"https://www.tiktok.com/shop/c/necklaces/605280"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m45m1u911dsa4274pi¬ify=false&include_errors=true&type=discover_new&discover_by=category"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m45m1u911dsa4274pi",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "category",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{"category_url": "https://www.tiktok.com/shop/c/necklaces/605280"},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m45m1u911dsa4274pi",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "category",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{ category_url: "https://www.tiktok.com/shop/c/necklaces/605280" },
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"url": "https://shop.tiktok.com/us/pdp/gold-plated-crucifix-3-sizes-available-golden-color/1729551047475564983",
"id": "1729551047475564983",
"title": "Gold plated Crucifix Fashion Accessories, Oro laminado",
"currency": "USD",
"initial_price": 16.86,
"final_price": 16.86,
"store_name": "Isabelcr",
"seller_url": "https://shop.tiktok.com/us/store/isabelcr/7495169223433816503",
"category": "Necklaces",
"category_url": "https://www.tiktok.com/shop/c/necklaces/605280",
"availability": "in_stock",
"domain": "shop.tiktok.com",
"image_url": "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/eeb76a7bcf5847ea87fc4698ac3ac397~tplv-fhlh96nyum-crop-webp:800:800.webp?dr=12190&t=555f072d&ps=933b5bde&shp=c940a200&shcp=9b759fb9&idc=useast5&from=3376456192"
}
]
TikTok
Discover TikTok Shop products by category
Discover TikTok Shop products from a category URL with the Bright Data Scraper API. Send POST /datasets/v3/scrape with dataset_id gd_m45m1u911dsa4274pi.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"category_url":"https://www.tiktok.com/shop/c/necklaces/605280"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m45m1u911dsa4274pi¬ify=false&include_errors=true&type=discover_new&discover_by=category"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m45m1u911dsa4274pi",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "category",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{"category_url": "https://www.tiktok.com/shop/c/necklaces/605280"},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m45m1u911dsa4274pi",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "category",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{ category_url: "https://www.tiktok.com/shop/c/necklaces/605280" },
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"url": "https://shop.tiktok.com/us/pdp/gold-plated-crucifix-3-sizes-available-golden-color/1729551047475564983",
"id": "1729551047475564983",
"title": "Gold plated Crucifix Fashion Accessories, Oro laminado",
"currency": "USD",
"initial_price": 16.86,
"final_price": 16.86,
"store_name": "Isabelcr",
"seller_url": "https://shop.tiktok.com/us/store/isabelcr/7495169223433816503",
"category": "Necklaces",
"category_url": "https://www.tiktok.com/shop/c/necklaces/605280",
"availability": "in_stock",
"domain": "shop.tiktok.com",
"image_url": "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/eeb76a7bcf5847ea87fc4698ac3ac397~tplv-fhlh96nyum-crop-webp:800:800.webp?dr=12190&t=555f072d&ps=933b5bde&shp=c940a200&shcp=9b759fb9&idc=useast5&from=3376456192"
}
]
Query Parameters
The dataset ID used for this request.
Must be set to
gd_m45m1u911dsa4274pi to collect Discover by Category data.Request Body
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"category_url":"https://www.tiktok.com/shop/c/necklaces/605280"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m45m1u911dsa4274pi¬ify=false&include_errors=true&type=discover_new&discover_by=category"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m45m1u911dsa4274pi",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "category",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{"category_url": "https://www.tiktok.com/shop/c/necklaces/605280"},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m45m1u911dsa4274pi",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "category",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{ category_url: "https://www.tiktok.com/shop/c/necklaces/605280" },
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"url": "https://shop.tiktok.com/us/pdp/gold-plated-crucifix-3-sizes-available-golden-color/1729551047475564983",
"id": "1729551047475564983",
"title": "Gold plated Crucifix Fashion Accessories, Oro laminado",
"currency": "USD",
"initial_price": 16.86,
"final_price": 16.86,
"store_name": "Isabelcr",
"seller_url": "https://shop.tiktok.com/us/store/isabelcr/7495169223433816503",
"category": "Necklaces",
"category_url": "https://www.tiktok.com/shop/c/necklaces/605280",
"availability": "in_stock",
"domain": "shop.tiktok.com",
"image_url": "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/eeb76a7bcf5847ea87fc4698ac3ac397~tplv-fhlh96nyum-crop-webp:800:800.webp?dr=12190&t=555f072d&ps=933b5bde&shp=c940a200&shcp=9b759fb9&idc=useast5&from=3376456192"
}
]
Was this page helpful?